$ErrorActionPreference = 'Stop';

$packageName = 'CloudBerryExplorer.GoogleStorage'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.6.0.3Google_netv4.0.exe'
$url64      = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.6.0.3Google_netv4.0.exe'

$installerPackage = Join-Path $toolsDir "CloudBerryExplorer.GoogleStorage.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '750d3b1125e5456e2194d76f7264915f65ac32e9ee41ed72a0af2d687fb6adc9'
  checksumType  = 'sha256'
  checksum64    = '750d3b1125e5456e2194d76f7264915f65ac32e9ee41ed72a0af2d687fb6adc9'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'CloudBerryExplorer.GoogleStorage.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
